Skip to main content
GET
/
v1
/
pricing_locations
List pricing locations
curl --request GET \
  --url https://api.gridcertainty.com/v1/pricing_locations \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "gs_entity_id": "<string>",
      "location": "<string>",
      "location_type": "<string>",
      "market_id": "<string>",
      "baa": "<string>",
      "zone": "<string>",
      "zone_type": "<string>",
      "latitude": 123,
      "longitude": 123,
      "pricing_datasets": [
        "<string>"
      ],
      "earliest_seen_utc": "<string>",
      "latest_seen_utc": "<string>",
      "status_threshold_days": 123,
      "status": "<string>"
    }
  ],
  "total_items": 123,
  "facets": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.gridcertainty.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

sort_column
string

Sort column for pricing locations.

sort_order
enum<string>

Sort order for pricing locations.

Available options:
asc,
desc
isos
string
default:ercot

Comma-separated ISO codes. The first value is used as the market code.

Free-text search for pricing locations.

zones
string

Comma-separated zone filter.

status
string

Comma-separated status filter.

location_types
string

Comma-separated location type filter.

has_geo_data
boolean

Filter by whether geo coordinates exist.

Response

200 - application/json

Pricing location list

items
object[]
total_items
integer
facets
object